/*
*{
    outline: 1px solid hotpink;
}*/

figure{
    margin: 0;
}

.menu{
    display: flex;
}

.header-menu{
    display: flex;
    align-items: center;
    position: fixed;
    top: 0px;
    background-color: #333333;
    width: 100%;
    transition: top 0.3s;
    z-index: 1;
}

.logo-ECK{
    color: #1a73e8;
    background-color: #fff;
    padding: 5px 10px;
    border-radius: 8px; 
    cursor: pointer;
}

.margin_header{
    margin: 0px 0px 0px 10px;
}

.display-footer{
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.accueil-titre-accroche{
    padding: 0px 20px;  
}

.accueil-content{
    color: #ffffff;
}

.btn-menu{
    padding: 12px 20px;
    cursor: pointer;
    color: #ffffff;
    font-weight: bold;
    text-decoration: none;
    border-radius: 4px;
    text-align: center;
}

.accueil-elements{
    font-size: 26px;
    line-height: 50px;
}

/** Début - mobile menu **/

.menu-mobile {
    display: none;
    cursor: pointer;
  }
  
  .bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: #f1f3f4;
    margin: 6px 0;
    transition: 0.4s;
  }
  
  .change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
  }
  
  .change .bar2 {opacity: 0;}
  
  .change .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
  }

  .dropdown {
    position: relative;
    display: inline-block;
    margin-right: 20px;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    right: -20px;
    padding: 10px 0px;
    background-color: #000;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }

  .dropdown-flex{
      flex-direction: column;
      align-items: center;
  }

/** Fin - mobile menu **/

/** Début - carroussel pour la section about me **/
.carousel-items {
    display: flex;
    overflow-x: scroll;
    padding: 1rem 0;
    scroll-snap-type: x mandatory;
    list-style-type: none;
}

.carousel-item {
    align-items: stretch;
    display: flex;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 450px;
    scroll-snap-align: start;
    list-style-type: none;
}

.card-item{
    display: flex;
    flex-direction: column;
    padding: 20px 40px;
    max-width: 450px;
    border-radius: 6px;
    border: solid 2px #A0A0A0;
    background-color: #fff;
}

.card-img{
    width: 77px;
    height: 88px;
    margin-left: auto;
    margin-right: auto;
}

.card-img-profile{
    width: 200px;
    height: 200px;
    border-radius: 100px;
    margin-left: auto;
    margin-right: auto;
    border: 1px solid #585959;
}

.card-title{
    color: #004686;
}

.skills-enumeration{
    color: #585959;
}

.skills-title{
    font-weight: bold;
    color: #004686;
}

::-webkit-scrollbar-track {
    background-color: #F5F5F5;
}

::-webkit-scrollbar {
    height: 6px;
    background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb {
    background-color: #3d4852;
    border-radius: 3px;
}

/** Fin - carroussel pour la section about me **/

.card-item-profil{
    display: flex;
    flex-direction: column;
    padding: 20px 40px;
    max-width: 450px;
    border-radius: 6px;
}

.card-img-social{
    width: 20px;
    height: 20px;
    margin-left: 5px;
}

.cv-socialmedia{
    display: flex;
    align-items: center;
}

.linkedIn_btn{
    margin-left: 20px;
}

/*.container{
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
}*/

.footer{
    width: 100%;
    height: 300px;
    background-color: #000;
}

.text_align_center{
    text-align: center;
}

.uppercase{
    text-transform: uppercase;
}

.margin_l16{
    margin-left: 1rem;
}

.margin_r5{
    margin-right: 5px;
}

.margin_r20{
    margin-right: 20px;
}

.margin_r60{
    margin-right: 60px;
}

.margin_r120{
    margin-right: 120px;
}

.margin_b5{
    margin-bottom: 5px;
}

.margin_b20{
    margin-bottom: 20px;
}

.margin_b40{
    margin-bottom: 40px;
}

.margin_t20{
    margin-top: 20px;
}

.margin_t40{
    margin-top: 40px;
}

.margin_t100{
    margin-top: 100px;
}

.margin_t200{
    margin-top: 200px;
}

@media screen and (max-width: 768px)
{
    .menu{
        display: none;
    }

    .menu-mobile {
        display: inline-block;
    }

    .margin_header{
        margin-right: 0px;
        margin-left: 20px;
    }

    .header-menu{
        justify-content: space-between;
    }

    .about-me-content{
        flex-direction: column;
    }

    .musique-element{
        flex-direction: column;
    }

    .musique-titre{
        margin-bottom: 5px;
    }

    .accueil-elements{
        text-align: center;
    }

    .card-item-profil{
        max-width: none;
    }

    .card-content-profile{
        text-align: center;
    }
}

@media screen and (max-width: 480px)
{
    .menu{
        display: none;
    }

    .menu-mobile {
        display: inline-block;
    }

    .margin_header{
        margin-right: 0px;
        margin-left: 20px;
    }

    .header-menu{
        justify-content: space-between;
    }

    .about-me-content{
        flex-direction: column;
    }

    .musique-element{
        flex-direction: column;
    }

    .musique-titre{
        margin-bottom: 5px;
    }

    .cv-socialmedia{
        flex-direction: column;
    }

    .linkedIn_btn{
        margin-top: 10px;
        margin-left: 0px;
    }

    .cta-cv-socialmedia{
        width: 85%;
    }

    .accueil-elements{
        text-align: center;
        font-size: 22px;
    }

    .card-item{
        padding: 5px 10px;
        max-width: 350px;
        border-radius: 6px;
        border: solid 2px #A0A0A0;
        background-color: #fff;
    }

    .carousel-item {
        flex-basis: 350px;
    }
}


/**Integration avec Jean**/

body{
    font-family: 'Rubik', serif;
    box-sizing: border-box;
    margin: 0;
}

.btn-register{
    position: absolute;
    right: 0px;
}

.btn-login{
    position: absolute;
    right: 114px;
}

.logo-galaprestige1{
    width: 45px;
}

.activity-element{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 20px;
}

.activity-item {
    display: flex;
    flex-direction: column;
    /*padding: 20px 40px;*/
    width: 300px;
    height: 187px;
    /*height: 280px;*/
    border-radius: 6px;
    /*border: solid 2px #A0A0A0;*/
    background-color: #fff;
    overflow: hidden;
}

.bloc-title-cta{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.list-activity{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding-left: 0px;
}

.activity-title{
    color: #3D3329;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 16px;
}

.cta-view{
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 12px 20px;
    cursor: pointer;
    color: #fff;
    background-color: #3D3329;
    text-decoration: none;
    border-radius: 4px;
    width: 70px;
    font-size: 12px;
    text-align: center;
}

/**Integration avec Momo**/

.input-control{
    padding-right: 35px;
    border: 1px solid #ccc;
    background-color: #f7f7f7;
    border-radius: 0;
    font-size: .889em;
    line-height: 20px;
    padding: 8px 15px;
    color: #494949;
    font-weight: 700;
}

.select-control{
    padding-right: 35px;
    border: 1px solid #ccc;
    background-color: #f7f7f7;
    border-radius: 0;
    font-size: .889em;
    line-height: 20px;
    padding: 8px 15px;
    color: #494949;
    font-weight: 700;
}

.textarea-control{
    padding-right: 35px;
    border: 1px solid #ccc;
    background-color: #f7f7f7;
    border-radius: 0;
    font-size: .889em;
    line-height: 20px;
    padding: 8px 15px;
    color: #494949;
    font-weight: 700;
    height: 150px;
}

.grand_titre{
    font-size: 36px;
    color: #585959;
    padding: 0px 50px;
    text-transform: uppercase;
}

.paragraphe_grand_titre{
    font-size: 20px;
    color: #585959;
    padding: 0px 50px;
}

.video_iframe{
    display: block;
    max-width: 640px;
    height: 360px;
    margin-left: auto;
    margin-right: auto;
}

.form-control{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    border: 1px solid #333333;
    max-width: 450px;
    padding: 20px 30px;
    margin-left: auto;
    margin-right: auto;
}

.cta-submit{
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 12px 20px;
    cursor: pointer;
    color: #fff;
    background-color: #004686;
    text-decoration: none;
    border-radius: 4px;
    width: 100px;
    font-size: 12px;
    text-align: center;
}

.cover-img{
    max-width: 100%;
    height: auto;
}

.img-services{
    max-width: 220px;
    margin-right: 20px;
}

.selenium-owasp-jira-icon{
    max-width: 310px;
    margin-right: 20px;
}

.list-img-service{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding-left: 30px;
}

.accueil-bloc{
    background-image: url("../img/board.jpg");
    height: 520px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.accueil-service-bloc{
    background-image: url("../img/servicecover.jpg");
    background-repeat: no-repeat;
    background-size: 1350px auto;
    height: 520px;
}

.accueil-produit-bloc{
    background-image: url("../img/produitcover.jpg");
    background-repeat: no-repeat;
    background-size: 1350px 674px;
    height: 520px;
}

.accueil-contact-bloc{
    background-image: url("../img/mail2.jpg");
    background-repeat: no-repeat;
    background-size: 1350px 674px;
    height: 520px;
}

.commentaire-forum{
    width: 450px;
    margin-left: auto;
    margin-right: auto;
    padding: 20px 30px;
    border-radius: 6px;
    background-image: linear-gradient(to left, rgba(218, 247, 166, 1), rgba(2, 190, 110, 1));
}

@media screen and (max-width: 939px) {
    .activity-element{
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 450px) {
    .activity-element{
        margin-right: 0px;
    }

    .commentaire-forum {
        width: auto;
    }

    .input-control{
        width: -webkit-fill-available;
    }
    
    .select-control{
        width: -webkit-fill-available;
    }
    
    .textarea-control{
        width: -webkit-fill-available;
    }
    
    .grand_titre {
        font-size: 24px;
    }
    
}